<?php
/*
Plugin Name: List Category Posts - Template "WOP Sidebar"
Plugin URI: http://picandocodigo.net/programacion/wordpress/list-category-posts-wordpress-plugin-english/
Description: Template file for List Category Post Plugin for Wordpress which is used by plugin by argument template=value.php
Version: 0.9
Author: Radek Uldrych & Fernando Briano
Author URI: http://picandocodigo.net http://radoviny.net
*/

/*
Copyright 2009 Radek Uldrych (email : verex@centrum.cz)
Copyright 2009-2015 Fernando Briano (http://picandocodigo.net)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or any
later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
USA
*/

/**
* The format for templates changed since version 0.17.  Since this
* code is included inside CatListDisplayer, $this refers to the
* instance of CatListDisplayer that called this file.
*/

/* This is the string which will gather all the information.*/
$lcp_display_output = '';

// Show category link:
$lcp_display_output .= $this->get_category_link('strong');

// Show the conditional title:
$lcp_display_output .= $this->get_conditional_title();

//Add 'starting' tag. Here, I'm using an unordered list (ul) as an example:
$lcp_display_output .= '<ul class="same_cat">';

/* Posts Loop
 *
 * The code here will be executed for every post in the category.  As
 * you can see, the different options are being called from functions
 * on the $this variable which is a CatListDisplayer.
 *
 * CatListDisplayer has a function for each field we want to show.  So
 * you'll see get_excerpt, get_thumbnail, etc.  You can now pass an
 * html tag as a parameter. This tag will sorround the info you want
 * to display. You can also assign a specific CSS class to each field.
 
 <div class="span12 artlist ingallery firstInRow">
<figure>
<div class="media_container">
<a class="swipebox zoom" title="Golfbanene p La Manga Club" href=""></a>
<a class="link" href="http://wp16.d.canopus.no/golf-lmc/"></a>
</div>
<img class="img-border" alt="Golfbanene p La Manga Club" src="">
<h5>
<a href="http://wp16.d.canopus.no/golf-lmc/">Golfbanene p La Manga Club</a>
</h5>
</figure>
</div>
 
*/
global $post;
while ( have_posts() ):
  the_post();


  if(get_field('prosjekt_utsolgt') === "yes"){
	//do not display!
	 }else{


  //Start a List Item for each post:
  $lcp_display_output .= "<li class=\"same_cat\">";
  /*
  $category = get_the_category($post->ID);
  
  $lcp_display_output .= "<div class='cat_info'>";
 
  $lcp_display_output .= 
 '<a href="' . esc_url( get_category_link( $category[0]->term_id ) ) . '" alt="' . esc_attr( sprintf( __( 'se innhold i %s', 'textdomain' ), $category[0]->name ) ) . '">' . esc_html( $category[0]->name ) . '</a>';
 
  $lcp_display_output .= "</div>";
 
 */
  $lcp_display_output .= $this->get_thumbnail($post);
  //Show the title and link to the post:
if(get_field("sidebar_title",$post->ID) != "no"){
  $lcp_display_output .= $this->get_post_title($post);
}

  //Show comments:
  $lcp_display_output .= $this->get_comments($post);

  //Show date:
  $lcp_display_output .= ' ' . $this->get_date($post);

  //Show date modified:
  $lcp_display_output .= ' ' . $this->get_modified_date($post);

  //Show author
  $lcp_display_output .= $this->get_author($post);

  //Custom fields:
  $lcp_display_output .= $this->get_custom_fields($post);

  //Post Thumbnail
  $lcp_display_output .= "";
  
  
  

  
  /**
   * Post content - Example of how to use tag and class parameters:
   * This will produce:<p class="lcp_content">The content</p>
   */
  $lcp_display_output .= $this->get_content($post, 'p', 'lcp_content');

  /**
   * Post content - Example of how to use tag and class parameters:
   * This will produce:<div class="lcp_excerpt">The content</div>
   */
  $lcp_display_output .= $this->get_excerpt($post, 'div', 'lcp_excerpt');

  // Get Posts "More" link:
  $lcp_display_output .= $this->get_posts_morelink($post);

  //Close li tag
  $lcp_display_output .= '</li>';
}
endwhile;

// Close the wrapper I opened at the beginning:
$lcp_display_output .= '</ul>';

// If there's a "more link", show it:
$lcp_display_output .= $this->get_morelink();

// Get category posts count
$lcp_display_output .= $this->get_category_count();

//Pagination
$lcp_display_output .= $this->get_pagination();

$this->lcp_output = $lcp_display_output;